<?php
$wp_customize->add_section(
    'support_area',
    array(
        'title' => __('Support Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'support_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'support_area_disable',
        array(
            'settings'      => 'support_area_disable',
            'section'       => 'support_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'support', 'support_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'supportarea_padding', 'support_area', 'Section Padding:');

$wp_customize->add_setting(
    'support_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaTpadding',
    array(
        'settings'      => 'support_areaTpadding',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaBpadding',
    array(
        'settings'      => 'support_areaBpadding',
        'section'       => 'support_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'supportarea_headi', 'support_area', 'Section Heading'); 
$wp_customize->add_setting(
    'support_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We are an Exceptional Movie Studio in Miami, NY!', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'support_title',
    array(
        'settings'      => 'support_title',
        'section'       => 'support_area', 
        'type'          => 'textarea',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'supp_sectitle_clr', 'support_area', 'Section Heading Color ', '#2e3d62');

$wp_customize->add_setting(
    'support_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has industrys. Lorem Ipsum is simply dummy text of the printing and typesetting industry.', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'support_subtitle',
    array(
        'settings'      => 'support_subtitle',
        'section'       => 'support_area', 
        'type'          => 'textarea',
        'label'         => __( 'Section Heading Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'supp_sectxt_clr', 'support_area', 'Section Heading Text Color ', '#838a9b');

$wp_customize->add_setting('support_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'support_area_lbl',
        array(
            'settings'      => 'support_area_lbl',
            'section'       => 'support_area',
            'label'         => __( 'Note1:', 'Luzuk' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('support_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'support_npp_heading',
        array(
            'settings'      => 'support_npp_heading',
            'section'       => 'support_area',
            'label'         => __( 'Number Of Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('support_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'support_npp_count',
    array(
        'settings'      => 'support_npp_count',
        'section'       => 'support_area',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'support_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'support_header'.$i,
            array(
                'settings'      => 'support_header'.$i,
                'section'       => 'support_area',
                'label'         => __( 'Page ', 'luzuk-premium' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'supp_b_page_icon'.$i,
        array(
            'default'           => 'fa fa-cube',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'supp_b_page_icon'.$i,
            array(
                'settings'      => 'supp_b_page_icon'.$i,
                'section'       => 'support_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );
 
    lzAddElement($wp_customize, 'supp_b_page_title'.$i, 'support_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Video <br>Making');

    lzAddElement($wp_customize, 'supp_b_page_description'.$i, 'support_area', $type = 'textarea', $label="Description", $callback ='luzuk_sanitize_text', $default='Lorem Ipsum is simply dummy text of the printing and typesetting industry.');
    lzAddElement($wp_customize, 'supp_page_url_'.$i, 'support_area', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');


}

lzCustomLable($wp_customize, 'supportarea_color', 'support_area', 'Section Color');

addColorPalatOption($wp_customize, 'supportarea_fbxClr', 'support_area', 'Section Box Background Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_fbxhvClr', 'support_area', 'Section Box Background Hover Color', '#2e3d62');

addColorPalatOption($wp_customize, 'supportarea_fbxhgClr', 'support_area', 'Section Box Highlight Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_fbxhghvClr', 'support_area', 'Section Box Highlight Hover Color', '#435172');

addColorPalatOption($wp_customize, 'supportarea_ficonColor', 'support_area', 'Section Icon Color', '#fd8455');

addColorPalatOption($wp_customize, 'supportarea_ficonhoverColor', 'support_area', 'Section Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_BoxttlColor', 'support_area', 'Support Title Color', '#2e3d62');

addColorPalatOption($wp_customize, 'supportarea_Boxttlhv', 'support_area', 'Support Title Hover Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_BoxdescColor', 'support_area', 'Section Description Color', '#b8bbc5');

addColorPalatOption($wp_customize, 'supportarea_Boxdeschv', 'support_area', 'Section Description Hover Color', '#fff');

addColorPalatOption($wp_customize, 'supportarea_Boxbtn', 'support_area', 'Section Box Button Icon Color', '#bcbfc7');

addColorPalatOption($wp_customize, 'supportarea_Boxhvbtn', 'support_area', 'Section Box Button Icon Hover Color', '#fd8455');

addColorPalatOption($wp_customize, 'supportarea_Boxbghvbtn', 'support_area', 'Section Box Button Background Hover Color', '#fff');


lzCustomLable($wp_customize, 'supportareabbtn_btn', 'support_area', 'Section Button Setting');

$wp_customize->add_setting( 'squote_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'squote_button_display', array( 'label' => 'Section Button Display', 'section' => 'support_area', 'settings' => 'squote_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );

$wp_customize->add_setting(
        'squote_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Get a Quote', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'squote_button1',
        array(
            'settings'      => 'squote_button1',
            'section'       => 'support_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
$wp_customize->add_setting('squote_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('squote_link',
    array(
        'settings'      => 'squote_link',
        'section'       => 'support_area',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'Luzuk' )
    )
);    

addColorPalatOption($wp_customize, 'supp_Boxbtmbtnbg', 'support_area', 'Section Bottom Button Background Color', '#fd8455');
addColorPalatOption($wp_customize, 'supp_Boxbtmbtnbghv', 'support_area', 'Section Bottom Button Background Hover Color', '#2e3d62');
addColorPalatOption($wp_customize, 'supp_Boxbtmbtntxt', 'support_area', 'Section Bottom Button Text & Icon Color', '#fff');
addColorPalatOption($wp_customize, 'supp_Boxbtmbtntxthv', 'support_area', 'Section Bottom Button Text & Icon Hover Color', '#fff');